package com.realnet.angulardatatype.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.angulardatatype.Entity.Ad7;
import com.realnet.angulardatatype.Services.Ad7Service ;


import com.realnet.angulardatatype.Entity.Basicp3;


@RequestMapping(value = "/Ad7")
 @CrossOrigin("*") 
@RestController
public class Ad7Controller {
	@Autowired
	private Ad7Service Service;

@Value("${projectPath}")
	private String projectPath;
 




	@PostMapping("/Ad7")
		  public Ad7 Savedata(@RequestBody Ad7 data) {
		Ad7 save = Service.Savedata(data)	;



		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Ad7/{id}")
	public  Ad7 update(@RequestBody Ad7 data,@PathVariable Integer id ) {
		Ad7 update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Ad7/getall/page")
	public Page<Ad7> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Ad7> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Ad7")
	public List<Ad7> getdetails() {
		 List<Ad7> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Ad7")
	public List<Ad7> getallwioutsec() {
		 List<Ad7> get = Service.getdetails();		
		return get;
}
@GetMapping("/Ad7/{id}")
	public  Ad7  getdetailsbyId(@PathVariable Integer id ) {
		Ad7  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Ad7/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}





	@PostMapping("/Ad7/Basicp3_insert")
	public Basicp3 insertBasicp3(@RequestBody Basicp3 data) {
		Basicp3 insertaction = Service.insertBasicp3(data);
		return insertaction;
	}

}